Qt 5.6 | Qt QML | QML Types | ItemSelectionModel QML Type

Qt 5.6.2 Reference Documentation

# ItemSelectionModel QML Type

Instantiates a QItemSelectionModel to be used in conjunction with a QAbstractItemModel and any view supporting it. More...

Import Statement: | import QtQml.Models 2.2
Since: | Qt 5.5
Instantiates: | QItemSelectionModel

- List of all members, including inherited members

## Properties

- currentIndex : QModelIndex
- hasSelection : bool
- model : QAbstractItemModel
- selectedIndexes : QModelIndexList

## Signals

- currentChanged(QModelIndex current, QModelIndex previous)
- selectionChanged(QItemSelection selected, QItemSelection deselected)

## Methods

- void clear()
- void clearCurrentIndex()
- void clearSelection()
- bool columnIntersectsSelection(int column, QModelIndex parent)
- bool isColumnSelected(int column, QModelIndex parent)
- bool isRowSelected(int row, QModelIndex parent)
- bool isSelected(QModelIndex index)
- void reset()
- bool rowIntersectsSelection(int row, QModelIndex parent)
- void select(QItemSelection selection, SelectionFlags command)
- void select(QModelIndex index, SelectionFlags command)
- QModelIndexList selectedColumns(int row)
- QModelIndexList selectedRows(int column)
- QItemSelection selection()
- void setCurrentIndex(QModelIndex index, SelectionFlags command)

## Detailed Description

This page only enumerates the properties, methods, and signals available in QML. See QItemSelectionModel for the actual documentation of this class.

See also QItemSelectionModel and Models and Views in Qt Quick.

## Property Documentation

[read-only] currentIndex : QModelIndex

Use setCurrentIndex() to set its value.

See also setCurrentIndex() and currentChanged().

[read-only] hasSelection : bool

It will trigger property binding updates every time selectionChanged() is emitted, even though its value hasn't changed.

See also selection(), selectedIndexes, select(), and selectionChanged().

model : QAbstractItemModel

This property's value must match the view's model.

[read-only] selectedIndexes : QModelIndexList

Contains the list of all the indexes in the selection model.

## Signal Documentation

currentChanged(QModelIndex current, QModelIndex previous)

selectionChanged(QItemSelection selected, QItemSelection deselected)

## Method Documentation

void clear()

void clearCurrentIndex()

void clearSelection()

bool columnIntersectsSelection(int column, QModelIndex parent)

bool isColumnSelected(int column, QModelIndex parent)

bool isRowSelected(int row, QModelIndex parent)

bool isSelected(QModelIndex index)

void reset()

bool rowIntersectsSelection(int row, QModelIndex parent)

void select(QItemSelection selection, SelectionFlags command)

void select(QModelIndex index, SelectionFlags command)

QModelIndexList selectedColumns(int row)

QModelIndexList selectedRows(int column)

QItemSelection selection()

void setCurrentIndex(QModelIndex index, SelectionFlags command)